Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network226.140.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
226.140.0.0
Broadcast address
226.143.255.255
First usable
226.140.0.1
Last usable
226.143.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E28C0000 · Integer 3800825856 to 3801087999
Reverse DNS zones
140.226.in-addr.arpa
141.226.in-addr.arpa
142.226.in-addr.arpa
143.226.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100010.10001100.00000000.00000000226.140.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11100010.10001100.00000000.00000000226.140.0.0
Broadcast11100010.10001111.11111111.11111111226.143.255.255
Split into smaller subnets/25

226.140.0.0/14 makes 2,048 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1226.140.0.0/25226.140.0.1 to 226.140.0.126226.140.0.127126
2226.140.0.128/25226.140.0.129 to 226.140.0.254226.140.0.255126
3226.140.1.0/25226.140.1.1 to 226.140.1.126226.140.1.127126
4226.140.1.128/25226.140.1.129 to 226.140.1.254226.140.1.255126
5226.140.2.0/25226.140.2.1 to 226.140.2.126226.140.2.127126
6226.140.2.128/25226.140.2.129 to 226.140.2.254226.140.2.255126
7226.140.3.0/25226.140.3.1 to 226.140.3.126226.140.3.127126
8226.140.3.128/25226.140.3.129 to 226.140.3.254226.140.3.255126
9226.140.4.0/25226.140.4.1 to 226.140.4.126226.140.4.127126
10226.140.4.128/25226.140.4.129 to 226.140.4.254226.140.4.255126
11226.140.5.0/25226.140.5.1 to 226.140.5.126226.140.5.127126
12226.140.5.128/25226.140.5.129 to 226.140.5.254226.140.5.255126
13226.140.6.0/25226.140.6.1 to 226.140.6.126226.140.6.127126
14226.140.6.128/25226.140.6.129 to 226.140.6.254226.140.6.255126
15226.140.7.0/25226.140.7.1 to 226.140.7.126226.140.7.127126
16226.140.7.128/25226.140.7.129 to 226.140.7.254226.140.7.255126
17226.140.8.0/25226.140.8.1 to 226.140.8.126226.140.8.127126
18226.140.8.128/25226.140.8.129 to 226.140.8.254226.140.8.255126
19226.140.9.0/25226.140.9.1 to 226.140.9.126226.140.9.127126
20226.140.9.128/25226.140.9.129 to 226.140.9.254226.140.9.255126
21226.140.10.0/25226.140.10.1 to 226.140.10.126226.140.10.127126
22226.140.10.128/25226.140.10.129 to 226.140.10.254226.140.10.255126
23226.140.11.0/25226.140.11.1 to 226.140.11.126226.140.11.127126
24226.140.11.128/25226.140.11.129 to 226.140.11.254226.140.11.255126
25226.140.12.0/25226.140.12.1 to 226.140.12.126226.140.12.127126
26226.140.12.128/25226.140.12.129 to 226.140.12.254226.140.12.255126
27226.140.13.0/25226.140.13.1 to 226.140.13.126226.140.13.127126
28226.140.13.128/25226.140.13.129 to 226.140.13.254226.140.13.255126
29226.140.14.0/25226.140.14.1 to 226.140.14.126226.140.14.127126
30226.140.14.128/25226.140.14.129 to 226.140.14.254226.140.14.255126
31226.140.15.0/25226.140.15.1 to 226.140.15.126226.140.15.127126
32226.140.15.128/25226.140.15.129 to 226.140.15.254226.140.15.255126
33226.140.16.0/25226.140.16.1 to 226.140.16.126226.140.16.127126
34226.140.16.128/25226.140.16.129 to 226.140.16.254226.140.16.255126
35226.140.17.0/25226.140.17.1 to 226.140.17.126226.140.17.127126
36226.140.17.128/25226.140.17.129 to 226.140.17.254226.140.17.255126
37226.140.18.0/25226.140.18.1 to 226.140.18.126226.140.18.127126
38226.140.18.128/25226.140.18.129 to 226.140.18.254226.140.18.255126
39226.140.19.0/25226.140.19.1 to 226.140.19.126226.140.19.127126
40226.140.19.128/25226.140.19.129 to 226.140.19.254226.140.19.255126
41226.140.20.0/25226.140.20.1 to 226.140.20.126226.140.20.127126
42226.140.20.128/25226.140.20.129 to 226.140.20.254226.140.20.255126
43226.140.21.0/25226.140.21.1 to 226.140.21.126226.140.21.127126
44226.140.21.128/25226.140.21.129 to 226.140.21.254226.140.21.255126
45226.140.22.0/25226.140.22.1 to 226.140.22.126226.140.22.127126
46226.140.22.128/25226.140.22.129 to 226.140.22.254226.140.22.255126
47226.140.23.0/25226.140.23.1 to 226.140.23.126226.140.23.127126
48226.140.23.128/25226.140.23.129 to 226.140.23.254226.140.23.255126
49226.140.24.0/25226.140.24.1 to 226.140.24.126226.140.24.127126
50226.140.24.128/25226.140.24.129 to 226.140.24.254226.140.24.255126
51226.140.25.0/25226.140.25.1 to 226.140.25.126226.140.25.127126
52226.140.25.128/25226.140.25.129 to 226.140.25.254226.140.25.255126
53226.140.26.0/25226.140.26.1 to 226.140.26.126226.140.26.127126
54226.140.26.128/25226.140.26.129 to 226.140.26.254226.140.26.255126
55226.140.27.0/25226.140.27.1 to 226.140.27.126226.140.27.127126
56226.140.27.128/25226.140.27.129 to 226.140.27.254226.140.27.255126
57226.140.28.0/25226.140.28.1 to 226.140.28.126226.140.28.127126
58226.140.28.128/25226.140.28.129 to 226.140.28.254226.140.28.255126
59226.140.29.0/25226.140.29.1 to 226.140.29.126226.140.29.127126
60226.140.29.128/25226.140.29.129 to 226.140.29.254226.140.29.255126
61226.140.30.0/25226.140.30.1 to 226.140.30.126226.140.30.127126
62226.140.30.128/25226.140.30.129 to 226.140.30.254226.140.30.255126
63226.140.31.0/25226.140.31.1 to 226.140.31.126226.140.31.127126
64226.140.31.128/25226.140.31.129 to 226.140.31.254226.140.31.255126
65226.140.32.0/25226.140.32.1 to 226.140.32.126226.140.32.127126
66226.140.32.128/25226.140.32.129 to 226.140.32.254226.140.32.255126
67226.140.33.0/25226.140.33.1 to 226.140.33.126226.140.33.127126
68226.140.33.128/25226.140.33.129 to 226.140.33.254226.140.33.255126
69226.140.34.0/25226.140.34.1 to 226.140.34.126226.140.34.127126
70226.140.34.128/25226.140.34.129 to 226.140.34.254226.140.34.255126
71226.140.35.0/25226.140.35.1 to 226.140.35.126226.140.35.127126
72226.140.35.128/25226.140.35.129 to 226.140.35.254226.140.35.255126
73226.140.36.0/25226.140.36.1 to 226.140.36.126226.140.36.127126
74226.140.36.128/25226.140.36.129 to 226.140.36.254226.140.36.255126
75226.140.37.0/25226.140.37.1 to 226.140.37.126226.140.37.127126
76226.140.37.128/25226.140.37.129 to 226.140.37.254226.140.37.255126
77226.140.38.0/25226.140.38.1 to 226.140.38.126226.140.38.127126
78226.140.38.128/25226.140.38.129 to 226.140.38.254226.140.38.255126
79226.140.39.0/25226.140.39.1 to 226.140.39.126226.140.39.127126
80226.140.39.128/25226.140.39.129 to 226.140.39.254226.140.39.255126
81226.140.40.0/25226.140.40.1 to 226.140.40.126226.140.40.127126
82226.140.40.128/25226.140.40.129 to 226.140.40.254226.140.40.255126
83226.140.41.0/25226.140.41.1 to 226.140.41.126226.140.41.127126
84226.140.41.128/25226.140.41.129 to 226.140.41.254226.140.41.255126
85226.140.42.0/25226.140.42.1 to 226.140.42.126226.140.42.127126
86226.140.42.128/25226.140.42.129 to 226.140.42.254226.140.42.255126
87226.140.43.0/25226.140.43.1 to 226.140.43.126226.140.43.127126
88226.140.43.128/25226.140.43.129 to 226.140.43.254226.140.43.255126
89226.140.44.0/25226.140.44.1 to 226.140.44.126226.140.44.127126
90226.140.44.128/25226.140.44.129 to 226.140.44.254226.140.44.255126
91226.140.45.0/25226.140.45.1 to 226.140.45.126226.140.45.127126
92226.140.45.128/25226.140.45.129 to 226.140.45.254226.140.45.255126
93226.140.46.0/25226.140.46.1 to 226.140.46.126226.140.46.127126
94226.140.46.128/25226.140.46.129 to 226.140.46.254226.140.46.255126
95226.140.47.0/25226.140.47.1 to 226.140.47.126226.140.47.127126
96226.140.47.128/25226.140.47.129 to 226.140.47.254226.140.47.255126
97226.140.48.0/25226.140.48.1 to 226.140.48.126226.140.48.127126
98226.140.48.128/25226.140.48.129 to 226.140.48.254226.140.48.255126
99226.140.49.0/25226.140.49.1 to 226.140.49.126226.140.49.127126
100226.140.49.128/25226.140.49.129 to 226.140.49.254226.140.49.255126
101226.140.50.0/25226.140.50.1 to 226.140.50.126226.140.50.127126
102226.140.50.128/25226.140.50.129 to 226.140.50.254226.140.50.255126
103226.140.51.0/25226.140.51.1 to 226.140.51.126226.140.51.127126
104226.140.51.128/25226.140.51.129 to 226.140.51.254226.140.51.255126
105226.140.52.0/25226.140.52.1 to 226.140.52.126226.140.52.127126
106226.140.52.128/25226.140.52.129 to 226.140.52.254226.140.52.255126
107226.140.53.0/25226.140.53.1 to 226.140.53.126226.140.53.127126
108226.140.53.128/25226.140.53.129 to 226.140.53.254226.140.53.255126
109226.140.54.0/25226.140.54.1 to 226.140.54.126226.140.54.127126
110226.140.54.128/25226.140.54.129 to 226.140.54.254226.140.54.255126
111226.140.55.0/25226.140.55.1 to 226.140.55.126226.140.55.127126
112226.140.55.128/25226.140.55.129 to 226.140.55.254226.140.55.255126
113226.140.56.0/25226.140.56.1 to 226.140.56.126226.140.56.127126
114226.140.56.128/25226.140.56.129 to 226.140.56.254226.140.56.255126
115226.140.57.0/25226.140.57.1 to 226.140.57.126226.140.57.127126
116226.140.57.128/25226.140.57.129 to 226.140.57.254226.140.57.255126
117226.140.58.0/25226.140.58.1 to 226.140.58.126226.140.58.127126
118226.140.58.128/25226.140.58.129 to 226.140.58.254226.140.58.255126
119226.140.59.0/25226.140.59.1 to 226.140.59.126226.140.59.127126
120226.140.59.128/25226.140.59.129 to 226.140.59.254226.140.59.255126
121226.140.60.0/25226.140.60.1 to 226.140.60.126226.140.60.127126
122226.140.60.128/25226.140.60.129 to 226.140.60.254226.140.60.255126
123226.140.61.0/25226.140.61.1 to 226.140.61.126226.140.61.127126
124226.140.61.128/25226.140.61.129 to 226.140.61.254226.140.61.255126
125226.140.62.0/25226.140.62.1 to 226.140.62.126226.140.62.127126
126226.140.62.128/25226.140.62.129 to 226.140.62.254226.140.62.255126
127226.140.63.0/25226.140.63.1 to 226.140.63.126226.140.63.127126
128226.140.63.128/25226.140.63.129 to 226.140.63.254226.140.63.255126
129226.140.64.0/25226.140.64.1 to 226.140.64.126226.140.64.127126
130226.140.64.128/25226.140.64.129 to 226.140.64.254226.140.64.255126
131226.140.65.0/25226.140.65.1 to 226.140.65.126226.140.65.127126
132226.140.65.128/25226.140.65.129 to 226.140.65.254226.140.65.255126
133226.140.66.0/25226.140.66.1 to 226.140.66.126226.140.66.127126
134226.140.66.128/25226.140.66.129 to 226.140.66.254226.140.66.255126
135226.140.67.0/25226.140.67.1 to 226.140.67.126226.140.67.127126
136226.140.67.128/25226.140.67.129 to 226.140.67.254226.140.67.255126
137226.140.68.0/25226.140.68.1 to 226.140.68.126226.140.68.127126
138226.140.68.128/25226.140.68.129 to 226.140.68.254226.140.68.255126
139226.140.69.0/25226.140.69.1 to 226.140.69.126226.140.69.127126
140226.140.69.128/25226.140.69.129 to 226.140.69.254226.140.69.255126
141226.140.70.0/25226.140.70.1 to 226.140.70.126226.140.70.127126
142226.140.70.128/25226.140.70.129 to 226.140.70.254226.140.70.255126
143226.140.71.0/25226.140.71.1 to 226.140.71.126226.140.71.127126
144226.140.71.128/25226.140.71.129 to 226.140.71.254226.140.71.255126
145226.140.72.0/25226.140.72.1 to 226.140.72.126226.140.72.127126
146226.140.72.128/25226.140.72.129 to 226.140.72.254226.140.72.255126
147226.140.73.0/25226.140.73.1 to 226.140.73.126226.140.73.127126
148226.140.73.128/25226.140.73.129 to 226.140.73.254226.140.73.255126
149226.140.74.0/25226.140.74.1 to 226.140.74.126226.140.74.127126
150226.140.74.128/25226.140.74.129 to 226.140.74.254226.140.74.255126
151226.140.75.0/25226.140.75.1 to 226.140.75.126226.140.75.127126
152226.140.75.128/25226.140.75.129 to 226.140.75.254226.140.75.255126
153226.140.76.0/25226.140.76.1 to 226.140.76.126226.140.76.127126
154226.140.76.128/25226.140.76.129 to 226.140.76.254226.140.76.255126
155226.140.77.0/25226.140.77.1 to 226.140.77.126226.140.77.127126
156226.140.77.128/25226.140.77.129 to 226.140.77.254226.140.77.255126
157226.140.78.0/25226.140.78.1 to 226.140.78.126226.140.78.127126
158226.140.78.128/25226.140.78.129 to 226.140.78.254226.140.78.255126
159226.140.79.0/25226.140.79.1 to 226.140.79.126226.140.79.127126
160226.140.79.128/25226.140.79.129 to 226.140.79.254226.140.79.255126
161226.140.80.0/25226.140.80.1 to 226.140.80.126226.140.80.127126
162226.140.80.128/25226.140.80.129 to 226.140.80.254226.140.80.255126
163226.140.81.0/25226.140.81.1 to 226.140.81.126226.140.81.127126
164226.140.81.128/25226.140.81.129 to 226.140.81.254226.140.81.255126
165226.140.82.0/25226.140.82.1 to 226.140.82.126226.140.82.127126
166226.140.82.128/25226.140.82.129 to 226.140.82.254226.140.82.255126
167226.140.83.0/25226.140.83.1 to 226.140.83.126226.140.83.127126
168226.140.83.128/25226.140.83.129 to 226.140.83.254226.140.83.255126
169226.140.84.0/25226.140.84.1 to 226.140.84.126226.140.84.127126
170226.140.84.128/25226.140.84.129 to 226.140.84.254226.140.84.255126
171226.140.85.0/25226.140.85.1 to 226.140.85.126226.140.85.127126
172226.140.85.128/25226.140.85.129 to 226.140.85.254226.140.85.255126
173226.140.86.0/25226.140.86.1 to 226.140.86.126226.140.86.127126
174226.140.86.128/25226.140.86.129 to 226.140.86.254226.140.86.255126
175226.140.87.0/25226.140.87.1 to 226.140.87.126226.140.87.127126
176226.140.87.128/25226.140.87.129 to 226.140.87.254226.140.87.255126
177226.140.88.0/25226.140.88.1 to 226.140.88.126226.140.88.127126
178226.140.88.128/25226.140.88.129 to 226.140.88.254226.140.88.255126
179226.140.89.0/25226.140.89.1 to 226.140.89.126226.140.89.127126
180226.140.89.128/25226.140.89.129 to 226.140.89.254226.140.89.255126
181226.140.90.0/25226.140.90.1 to 226.140.90.126226.140.90.127126
182226.140.90.128/25226.140.90.129 to 226.140.90.254226.140.90.255126
183226.140.91.0/25226.140.91.1 to 226.140.91.126226.140.91.127126
184226.140.91.128/25226.140.91.129 to 226.140.91.254226.140.91.255126
185226.140.92.0/25226.140.92.1 to 226.140.92.126226.140.92.127126
186226.140.92.128/25226.140.92.129 to 226.140.92.254226.140.92.255126
187226.140.93.0/25226.140.93.1 to 226.140.93.126226.140.93.127126
188226.140.93.128/25226.140.93.129 to 226.140.93.254226.140.93.255126
189226.140.94.0/25226.140.94.1 to 226.140.94.126226.140.94.127126
190226.140.94.128/25226.140.94.129 to 226.140.94.254226.140.94.255126
191226.140.95.0/25226.140.95.1 to 226.140.95.126226.140.95.127126
192226.140.95.128/25226.140.95.129 to 226.140.95.254226.140.95.255126
193226.140.96.0/25226.140.96.1 to 226.140.96.126226.140.96.127126
194226.140.96.128/25226.140.96.129 to 226.140.96.254226.140.96.255126
195226.140.97.0/25226.140.97.1 to 226.140.97.126226.140.97.127126
196226.140.97.128/25226.140.97.129 to 226.140.97.254226.140.97.255126
197226.140.98.0/25226.140.98.1 to 226.140.98.126226.140.98.127126
198226.140.98.128/25226.140.98.129 to 226.140.98.254226.140.98.255126
199226.140.99.0/25226.140.99.1 to 226.140.99.126226.140.99.127126
200226.140.99.128/25226.140.99.129 to 226.140.99.254226.140.99.255126
201226.140.100.0/25226.140.100.1 to 226.140.100.126226.140.100.127126
202226.140.100.128/25226.140.100.129 to 226.140.100.254226.140.100.255126
203226.140.101.0/25226.140.101.1 to 226.140.101.126226.140.101.127126
204226.140.101.128/25226.140.101.129 to 226.140.101.254226.140.101.255126
205226.140.102.0/25226.140.102.1 to 226.140.102.126226.140.102.127126
206226.140.102.128/25226.140.102.129 to 226.140.102.254226.140.102.255126
207226.140.103.0/25226.140.103.1 to 226.140.103.126226.140.103.127126
208226.140.103.128/25226.140.103.129 to 226.140.103.254226.140.103.255126
209226.140.104.0/25226.140.104.1 to 226.140.104.126226.140.104.127126
210226.140.104.128/25226.140.104.129 to 226.140.104.254226.140.104.255126
211226.140.105.0/25226.140.105.1 to 226.140.105.126226.140.105.127126
212226.140.105.128/25226.140.105.129 to 226.140.105.254226.140.105.255126
213226.140.106.0/25226.140.106.1 to 226.140.106.126226.140.106.127126
214226.140.106.128/25226.140.106.129 to 226.140.106.254226.140.106.255126
215226.140.107.0/25226.140.107.1 to 226.140.107.126226.140.107.127126
216226.140.107.128/25226.140.107.129 to 226.140.107.254226.140.107.255126
217226.140.108.0/25226.140.108.1 to 226.140.108.126226.140.108.127126
218226.140.108.128/25226.140.108.129 to 226.140.108.254226.140.108.255126
219226.140.109.0/25226.140.109.1 to 226.140.109.126226.140.109.127126
220226.140.109.128/25226.140.109.129 to 226.140.109.254226.140.109.255126
221226.140.110.0/25226.140.110.1 to 226.140.110.126226.140.110.127126
222226.140.110.128/25226.140.110.129 to 226.140.110.254226.140.110.255126
223226.140.111.0/25226.140.111.1 to 226.140.111.126226.140.111.127126
224226.140.111.128/25226.140.111.129 to 226.140.111.254226.140.111.255126
225226.140.112.0/25226.140.112.1 to 226.140.112.126226.140.112.127126
226226.140.112.128/25226.140.112.129 to 226.140.112.254226.140.112.255126
227226.140.113.0/25226.140.113.1 to 226.140.113.126226.140.113.127126
228226.140.113.128/25226.140.113.129 to 226.140.113.254226.140.113.255126
229226.140.114.0/25226.140.114.1 to 226.140.114.126226.140.114.127126
230226.140.114.128/25226.140.114.129 to 226.140.114.254226.140.114.255126
231226.140.115.0/25226.140.115.1 to 226.140.115.126226.140.115.127126
232226.140.115.128/25226.140.115.129 to 226.140.115.254226.140.115.255126
233226.140.116.0/25226.140.116.1 to 226.140.116.126226.140.116.127126
234226.140.116.128/25226.140.116.129 to 226.140.116.254226.140.116.255126
235226.140.117.0/25226.140.117.1 to 226.140.117.126226.140.117.127126
236226.140.117.128/25226.140.117.129 to 226.140.117.254226.140.117.255126
237226.140.118.0/25226.140.118.1 to 226.140.118.126226.140.118.127126
238226.140.118.128/25226.140.118.129 to 226.140.118.254226.140.118.255126
239226.140.119.0/25226.140.119.1 to 226.140.119.126226.140.119.127126
240226.140.119.128/25226.140.119.129 to 226.140.119.254226.140.119.255126
241226.140.120.0/25226.140.120.1 to 226.140.120.126226.140.120.127126
242226.140.120.128/25226.140.120.129 to 226.140.120.254226.140.120.255126
243226.140.121.0/25226.140.121.1 to 226.140.121.126226.140.121.127126
244226.140.121.128/25226.140.121.129 to 226.140.121.254226.140.121.255126
245226.140.122.0/25226.140.122.1 to 226.140.122.126226.140.122.127126
246226.140.122.128/25226.140.122.129 to 226.140.122.254226.140.122.255126
247226.140.123.0/25226.140.123.1 to 226.140.123.126226.140.123.127126
248226.140.123.128/25226.140.123.129 to 226.140.123.254226.140.123.255126
249226.140.124.0/25226.140.124.1 to 226.140.124.126226.140.124.127126
250226.140.124.128/25226.140.124.129 to 226.140.124.254226.140.124.255126
251226.140.125.0/25226.140.125.1 to 226.140.125.126226.140.125.127126
252226.140.125.128/25226.140.125.129 to 226.140.125.254226.140.125.255126
253226.140.126.0/25226.140.126.1 to 226.140.126.126226.140.126.127126
254226.140.126.128/25226.140.126.129 to 226.140.126.254226.140.126.255126
255226.140.127.0/25226.140.127.1 to 226.140.127.126226.140.127.127126
256226.140.127.128/25226.140.127.129 to 226.140.127.254226.140.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses